Skip to main content

Recommend recipes from a text request

POST
/ai/gateway/plan/intent

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectPlanner request: intent (required), context, knownInputs (map), maxRecommendations
  • {}

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body or empty intentobject
401
API key is missing or invalidobject
403
Required docs:read scope is missingobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }